Page MenuHomePhabricator

Remove the 250 character limit from messages sent through the Page Curation Tool
Closed, ResolvedPublic

Description

When reviewing a page in the Page Curation Tool, reviewers are prompted to leave a message on the talk page of the page creator (or when unreviewing a page, the reviewer). The tool limits this to 250 characters, but at least from the user's point of view there's no obvious reason why it should be limited. In any case 250 characters is a very tight restriction.

See https://en.wikipedia.org/wiki/Wikipedia:Page_Curation/Suggested_improvements#33_Removing_the_250_character_limit

Details

Related Gerrit Patches:
mediawiki/extensions/PageTriage : masterRemove 250-character limit for review notes and tagging explanations
mediawiki/extensions/PageTriage : masterDrop unused ptrl_comment field

Event Timeline

joeroe created this task.Feb 2 2017, 5:07 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptFeb 2 2017, 5:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Aklapper triaged this task as Lowest priority.Feb 4 2017, 6:47 PM

There is a DB field that looks relevant, but luckily it is unused and null in production. I'll go ahead and drop that too:

mysql:wikiadmin@db1073 [enwiki]> SELECT * FROM pagetriage_log WHERE ptrl_comment IS NOT NULL;
Empty set (0.02 sec)

Change 336903 had a related patch set uploaded (by Mattflaschen):
Drop unused ptrl_comment field

https://gerrit.wikimedia.org/r/336903

Change 336903 merged by jenkins-bot:
Drop unused ptrl_comment field

https://gerrit.wikimedia.org/r/336903

Production task to drop that NULL column is T157762 ; no deadline for that and not blocking anything.

Change 336955 had a related patch set uploaded (by Mattflaschen):
Remove 250-character limit for review notes and tagging explanations

https://gerrit.wikimedia.org/r/336955

Change 336955 merged by jenkins-bot:
Remove 250-character limit for review notes and tagging explanations

https://gerrit.wikimedia.org/r/336955

Checked in betalabs - the limit is removed along with the character counting ( "[# of characters] left" ). Also checked Special:Log/pagetriage-curation for text excerpts displayed.

QA recommendation: Resolve.

jmatazzoni closed this task as Resolved.Feb 17 2017, 7:30 PM
Kudpung reopened this task as Open.Jul 15 2017, 12:35 AM
Kudpung added a subscriber: Kudpung.

It appears that the request to remove the character limit s not working. See this post. The message box needs at least double that capacity.

MusikAnimal closed this task as Resolved.Jul 18 2017, 3:23 PM
MusikAnimal added a subscriber: MusikAnimal.

Turns out it's just breaking when there is an = in the message because we're not specifying the text we're passing into the template as the value for the 3rd parameter. I will create a new task and submit a patch assuming this is as easy as I think it is to fix.